Bug 847098 - [i18n] dnf tracebacks when user input is about to happen under an accented language
[i18n] dnf tracebacks when user input is about to happen under an accented la...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ales Kozumplik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-09 13:25 EDT by dominique
Modified: 2014-09-30 19:40 EDT (History)
4 users (show)

See Also:
Fixed In Version: dnf-0.2.8-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 18:02:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dominique 2012-08-09 13:25:20 EDT
I test F18 rawhide, and I see on phoronix this : http://www.phoronix.com/scan.php?page=news_item&px=MTEyNDc

For test I install dnf, but for update I have this error :

[root@dominique ~]# dnf update rpmfusion-*
Configuration du processus de mise à jour
Résolution des dépendances
--> Starting dependency resolution
---> Package rpmfusion-free-release.noarch 18-0.1 will be mis à jour
---> Package rpmfusion-free-release.noarch 18-0.2 will be utilisé
---> Package rpmfusion-nonfree-release.noarch 18-0.1 will be mis à jour
---> Package rpmfusion-nonfree-release.noarch 18-0.2 will be utilisé
--> Finished dependency resolution

Dépendances résolues

================================================================================
 Package                    Architecture
                                    Version    Dépôt                      Taille
================================================================================
Mise à jour :
 rpmfusion-free-release     noarch  18-0.2     rpmfusion-free-rawhide      13 k
 rpmfusion-nonfree-release  noarch  18-0.2     rpmfusion-nonfree-rawhide   14 k

Résumé de la transaction
================================================================================
Mettre à jour  2 Paquets

Taille totale des téléchargements : 27 k
Traceback (most recent call last):
  File "/bin/dnf", line 35, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python2.7/site-packages/dnf/cli/yummain.py", line 316, in user_main
    errcode = main(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/yummain.py", line 224, in main
    return_code = base.doTransaction()
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 530, in doTransaction
    if self.conf.assumeno or not self.userconfirm():
  File "/usr/lib/python2.7/site-packages/dnf/cli/output.py", line 967, in userconfirm
    choice = raw_input(_('Is this ok [y/N]: '))
Comment 1 Ales Kozumplik 2012-08-10 03:31:12 EDT
Thanks for the report. I can reproduce it by doing 'export LANG=cs_CZ.ISO8859-2' and then running dnf. The full traceback is:

Traceback (most recent call last):
  File "./bin/dnf", line 35, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/home/akozumpl/dnf/dnf/cli/yummain.py", line 316, in user_main
    errcode = main(args)
  File "/home/akozumpl/dnf/dnf/cli/yummain.py", line 224, in main
    return_code = base.doTransaction()
  File "/home/akozumpl/dnf/dnf/cli/cli.py", line 530, in doTransaction
    if self.conf.assumeno or not self.userconfirm():
  File "/home/akozumpl/dnf/dnf/cli/output.py", line 967, in userconfirm
    choice = raw_input(_('Is this ok [y/N]: '))
UnicodeEncodeError: 'ascii' codec can't encode characters in position 4-5: ordinal not in range(128)
Comment 2 Ales Kozumplik 2012-08-20 04:47:24 EDT
Also somehow boils down to:
[akozumpl@aklap ~]$ python
Python 2.7.3 (default, Apr 30 2012, 21:18:11) 
[GCC 4.7.0 20120416 (Red Hat 4.7.0-2)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> print u'Šířka'
Šířka
>>> raw_input(u'Šíéřka')
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
UnicodeEncodeError: 'ascii' codec can't encode characters in position 0-3: ordinal not in range(128)
>>> 

Talking to python maintainer for some insight.
Comment 3 Ales Kozumplik 2012-08-20 05:25:35 EDT
Fixed upstream by fe9fd26.
Comment 4 Fedora Update System 2012-08-23 08:12:09 EDT
dnf-0.2.8-1.git5dea6e7.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/dnf-0.2.8-1.git5dea6e7.fc18
Comment 5 dominique 2012-08-23 10:45:16 EDT
I install and test dnf-0.2.8-1.git5dea6e7.fc18, and for me that seem working well, without traceback.

Thank
Comment 6 Fedora Update System 2012-08-23 11:39:11 EDT
Package dnf-0.2.8-1.git5dea6e7.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-0.2.8-1.git5dea6e7.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12583/dnf-0.2.8-1.git5dea6e7.fc18
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-09-17 18:02:58 EDT
dnf-0.2.8-1.git5dea6e7.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.